Subject: Re: USB configuration

From: Vitaly Bordug <[email-masked]>
Date: Mon, 17 Dec 2007 21:33:41 +0300

On Thu, 6 Dec 2007 05:27:14 -0800 (PST)
Misbah khan wrote:

> 
> HI all ...
> I have configured the Montavista Kernel for USB support and for
> PPC8272-ADS board I need to know that how could i test that my USB is
> working ????
> 

I'm not sure what MV version you are trying to use, but there is no support for USB host(I am about 8272ads).
MV supports USB gadget though...
> Its creating the directory :- /proc/bus/usb/ but doesent contain any
> file under it ????
> 
you enabled generic usb support. But no HW/driver picking it up
> 
> its also creating the directory :- /sys/bus/usb/   but doesent
> contain any file under it ????
> 
same reason
> 
> Please let me know the procedure to test whether my USB configuration
> is all right ????
> 
First, if you want to use USB host, you'll have to develop the driver first or assist someone doing that (there yet another such attempt recently initiated - see linuxppc-dev logs)

> Thank u 
> Misbah <><

-- 
Sincerely, Vitaly